Skip to main content

Set record in the default key-value store of an Actor's last run

PUT 

/v2/actors/:actorId/runs/last/key-value-store/records/:recordKey

Stores a value under a specific key in the default key-value store of the last Actor run.

This endpoint is a shortcut for getting the last run's defaultKeyValueStoreId and then using the Set key-value store record endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor
    recordKey string required

    Key of the record.


    Example: someKey

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

Header Parameters

    Content-Encoding string

    Possible values: [br, gzip, deflate, identity]

    Compression encoding of the request body.

Bodyrequired

  • property name* any

    The request body contains the value to store in the record. The content type should be specified in the Content-Type header.


    Example: {"message":"Hello, world!","count":42}

Status 201

Response Headers
  • Location
{}